﻿using Syncfusion.OCRProcessor;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MvcApplication1.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Modify this template to jump-start your ASP.NET MVC application.";

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        
        public ActionResult Mymethod()
        {
            // Initialize the OCR processor
            PdfLoadedDocument lDoc = new PdfLoadedDocument(Server.MapPath("/App_Data/Region.pdf"));

            //Load the existing PDF document.
            using (OCRProcessor processor = new OCRProcessor(Server.MapPath(@"\App_Data\Tesseract binaries\")))
            {
                //Language to process the OCR
                processor.Settings.Language = Languages.English;

                //Process OCR by providing loaded PDF document, Data dictionary and language      
                string resulttext = processor.PerformOCR(lDoc, Server.MapPath(@"\App_Data\Tessdata\"));

            }           

            //Save the document 
            lDoc.Save(Server.MapPath("/Output/output.pdf"));

            //close the document
            lDoc.Close(true);

            return null;
        }
    }
}
